1. Pagamentos
rockty
  • Módulo predefinido
    • API
      • Autenticação
        • Token
      • Afiliados
        • Affiliations
        • Links
        • Search
      • Pagamentos
        • Consulta
          GET
        • Cartão
          POST
        • PIX
          POST
      • Pedidos
        • Orders
    • SDK
      • RockSDK — Métodos Headless
      • Documentação RockSDK v2.1
  • Apresentação
    • home
  • SDK
    • Introdução
  1. Pagamentos

PIX

Em desenvolvimento
POST
https://api.rockty.com/payments/v1/pix

Requisição

Respostas

🟢200Sucesso
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.rockty.com/payments/v1/pix' \
--header 'Content-Type: text/plain' \
--data ''
Response Response Example
{
    "id": "ROP12345678",
    "status": "pending",
    "data": {
        "id": "ROP12345678",
        "status": "pending",
        "createdAt": "2025-08-20T20:43:00.000Z",
        "pixInfo": {
            "qrCode": "00020126580014br.gov.bcb.pix0136a629532e-7693-4846-852c-65f073acf5d65204000053039865406297.005802BR5913Loja Exemplo6009Sao 
Paulo62070503***6304B14A",
       "qrCodeUrl": "https://api.pix.example.com/qrcode/a629532e-7693-4846-852c-65f073acf5d6.png",
            "status": "ACTIVE",
            "expiresAt": "2025-08-20T21:13:00.000Z"
        }
    }
}
Modificado em 2026-04-07 11:56:03
Página anterior
Cartão
Próxima página
Orders
Built with